<?xml version="1.0" encoding="UTF-8"?>
<cfsSimulation xmlns="http://www.cfs++.org/simulation" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <documentation>
      <title>Test example for heat conduction with heat sources.</title>
      <authors>
          <author>Bich Ngoc Vu</author>
      </authors>
      <date>2016-03-08</date>
      <keywords>
        <keyword>SIMP</keyword>
      </keywords>
      <references>
          none
      </references>
      <isVerified> yes </isVerified>
      <description> none
      </description>
  </documentation>
  
  
  <fileFormats>
    <output>
      <hdf5 />
    </output>
    <materialData file="mat.xml"/>
  </fileFormats>
  
  <domain geometryType="plane">
    <regionList>
      <region name="mech" material="Iron"/>
    </regionList>
    <nodeList>
      <nodes name="source">
        <allNodesInRegion regName="mech"/>
      </nodes>
    </nodeList>
  </domain>
  
  <sequenceStep>
    <analysis>
      <static/>
    </analysis>
    <pdeList>
      <heatConduction>
        <regionList>
          <region name="mech"/>
        </regionList>
                
        <bcsAndLoads>
          <temperature name="west" value="1"/>
          <heatSource name="source" value="10"/>
        </bcsAndLoads>
                
        <storeResults>
          <nodeResult type="heatTemperature">
            <allRegions/>
          </nodeResult>
        </storeResults>
      </heatConduction>
          
    </pdeList>
      
    <linearSystems>
      <system>
        <solutionStrategy>
          <standard>
            <matrix storage="sparseNonSym"/>
          </standard>
        </solutionStrategy>
        <solverList>
          <pardiso>
            <posDef>no</posDef>
            <symStruct>no</symStruct>
            <IterRefineSteps>100</IterRefineSteps>
          </pardiso>
        </solverList>
      </system>
    </linearSystems>
  </sequenceStep>
  
  
</cfsSimulation>
